Welcome to Store Operations Administrator

Microsoft Dynamics Retail Management System Store Operations Administrator is an interactive, graphical tool that allows you to define the Store Operations database configuration and system specific parameters for each of the point-of-sale registers. It also provides essential database administration capabilities to connect to the database server, create databases, run database queries, upgrade the database to a newer version, and back up data.

When to use Store Operations Administrator

Use Store Operations Administrator to set up and configure the Store Operations database and system parameters after the initial software installation. This must be done before users (managers and cashiers) with the necessary access privileges can properly use Store Operations Manager and Store Operations POS.

You can also use Store Operations Administrator to back up and restore your database. We strongly recommend that you perform a backup at least once every day to safeguard your data from power failure or natural disasters.

Although the main purpose of Store Operations Administrator is to help you get Store Operations up and running, the program does offer features to troubleshoot possible database errors and issue query statements. Only users experienced in SQL Server and database programming should use these features.

For information on getting Store Operations up and running, see Getting Started.

Microsoft Product Support

Get technical support for Microsoft Dynamics Retail Management System (RMS) at the product support Web site, www.microsoft.com/dynamics/support. For telephone support for U.S. customers, please call 888-477-7877.

For the latest news about Microsoft Dynamics RMS, visit the Using Microsoft Dynamics Retail Management System Web site at http://www.microsoft.com/msrms/customer. Also, you can find additional product support information at the Microsoft Help and Support Web site at http://support.microsoft.com/.

Maintenance plans

Your Microsoft Dynamics RMS maintenance plan gives you access to Microsoft CustomerSource, product newsgroups, Knowledge Base articles, and other exclusive Internet offerings. For information about continuing support options, see http://www.microsoft.com/dynamics/support.

Microsoft CustomerSource

CustomerSource is a Microsoft Web site that provides Microsoft customers around-the-clock access to support resources and a multitude of tools to improve their business processes and practices. Site access is available to Microsoft customers currently on a service plan at https://mbs.microsoft.com/customersource.

Microsoft Certified Partners

You can also take advantage of an ongoing relationship with a Microsoft Certified Partner who understands the unique service needs of your business. To find a partner near you, visit the Microsoft Dynamics RMS Web site at http://www.microsoft.com/msrms.

Product information

For product information about other Microsoft retail, business, and accounting software, visit the Microsoft Dynamics Web site at www.microsoft.com/dynamics.


What's new

What's new in Store Operations

The following features have recently been added to Store Operations:

Database and password changes for PCI compliance. Store Operations now includes added features and uses a different encryption method to assist you in complying with the Payment Card Industry Data Security Standard.

Password policy. You can set up a password policy in Store Operations Administrator that requires password complexity and forces cashiers to change their passwords periodically. For more information, see Managing password policy.

Encryption key reset. You can reset the random encryption key that is used to encrypt credit card information in the store database. For more information, see Setting the encryption key.

Matrix item attribute selection. You can now change the attributes assigned to the component items of a matrix item. For more information, see "Using matrix items" in Store Operations Online Help.

Weights and measures certification. Microsoft Dynamics RMS has received National Type Evaluation Program (NTEP) certification from the National Conference on Weights and Measures. To view the certificate number, open the About dialog box in Store Operations Manager by clicking About on the Help menu.

You can also view the certificate online on the NTEP site. Click the Certificate Database link at left, type "Microsoft" in the Manufacturer box, press ENTER, and then click the link for the Active certificate for Microsoft Dynamics RMS.


Before using Store Operations Administrator

  • Make sure the computers in your store meet the minimum system requirements for Store Operations.

  • Install an edition of Microsoft SQL Server. SQL Server Express Edition 2005 (SQL Server Express) with Service Pack (SP) 1 is provided with your Store Operations software, or you can separately purchase the Standard or Enterprise Edition of SQL Server 2005 with SP1. Store Operations will also work with the Standard or Enterprise Edition of SQL Server 2000 with SP4, or with SQL Server 2000 Desktop Edition (MSDE 2000) with SP4.

  • For successful database communications, all machines must be using the same network protocols. The Microsoft Dynamics RMS installation program enables the TCP/IP and Named Pipes protocols by default. If your database server computer is using a protocol other than TCP/IP or Named Pipes, you will need to enable the protocols you want to use. To enable new protocols on any computer where Store Operations is installed, use Client Network Utility (on the Start menu, point to Microsoft Dynamics RMS, and then click Client Network Utility). For more information, click Help in the utility.

To enable new protocols on the database computer if Microsoft Dynamics RMS is not installed there, use SQL Server Configuration Manager for SQL Server 2005 or Client Network Utility for SQL Server 2000. For more information, see "Configuring Client Network Protocols" in SQL Server 2005 Books Online

  • You must use Store Operations Administrator to create and configure your database before you can run Store Operations Manager or Store Operations POS.

  • For information on quickly setting up the Store Operations database, see the Deployment Guide.


System requirements

The system requirements for running Store Operations are:

  • PC with a Pentium 600 MHz or higher processor (1 GHz recommend)

  • Microsoft Windows Vista, Windows XP Home or Professional Edition with Service Pack (SP) 2 or later, Windows Server 2003 with SP1 or later, Windows 2000 with SP4 or later, or Windows Embedded for Point of Service

  • Minimum 192 megabytes (MB) of RAM (512 MB or higher recommended)

  • Approximately 50 MB of available hard disk space for the Store Operations application files (will vary depending on the configuration and location of database files)

  • CD-ROM drive

  • VGA (1024x768) or higher resolution monitor

  • Microsoft SQL Server 2005 Express Edition (SQL Server Express) with SP1 or later [SQL Server Express with SP1 is included]

-or-

Microsoft SQL Server 2005 Standard or Enterprise Edition with SP1 or later [available separately]

-or-

Microsoft SQL Server 2000 Desktop Engine (MSDE 2000) with SP4 or later [available separately]

-or-

Microsoft SQL Server 2000 Standard or Enterprise Edition with SP4 or later [available separately]

  • Microsoft Mouse or compatible pointing device

Additional requirements for certain features of Store Operations:

  • Payment processing requires additional services and may require additional hardware

  • Touch screen monitor

  • OPOS-compatible hardware: receipt printers, cash drawer, MICR, MSR, pole display, weigh scale, signature capture device, scanner

  • Internet access (may require payment of a separate fee to a service provider, and local and/or long distance telephone charges may apply)


Activating Store Operations

Activation reduces software piracy by authenticating your software as a genuine, fully licensed copy. You will need a separate copy of the software for each computer where you want to run Store Operations POS. When you first run Store Operations POS, you will be prompted to activate the software.

Activation is not required on back-office computers where you only want to run Store Operations Administrator and Store Operations Manager.

If you ever need to reinstall Store Operations on the same computer where it was installed previously, you will need to activate the software again. Usually, you can use the same product key you used before.

If you have an Internet connection, you can quickly and easily activate Store Operations over the Internet. Otherwise, you can activate the software by telephone.

To activate Store Operations POS

  1. Start Store Operations POS and log on.

The Activation Wizard starts.

  2. Follow the instructions in the Activation Wizard.


About Microsoft SQL Server

Microsoft SQL Server is a client-server database management system. Solutions based on SQL Server are highly scalable, from a single processor laptop and a database maximum size of two gigabytes (2 GB) to a cluster of servers that can comfortably manipulate multi-terabyte databases and thousands of users. Unlike file-based databases, client-server database engines manage read-write operations to the database, enabling them to handle many more concurrent users and vastly greater amounts of data. Microsoft SQL Server is offered in different editions based on database size, number of users, and hardware requirements.

SQL Server 2005 Express Edition (SQL Server Express) is a fully SQL Server-compatible database engine that supports multiple concurrent users and can be used with databases of up to 4 GB in size. SQL Server Express is provided free of charge with Store Operations and will be installed during Store Operations installation unless an existing instance of another SQL Server product is present.

If you need to store more than 4 GB of data, you will need to purchase the Standard or Enterprise Edition of SQL Server 2005.

Note: Be sure to make a note of the user name and password you define when you set up SQL Server.

Do not change your computer name after SQL Server has been installed on the machine. SQL Server uses the computer name internally; if you change the computer name, SQL Server detects a different name and generates an error message. If this happens, you will need to run SQL Server Setup again.

SQL Server can operate in one of two security (authentication) modes: Windows authentication or SQL Server authentication. SQL Server authentication is much easier to manage than Windows authentication, which uses domain user and group accounts. For example, a single SQL Server user name and password can be created for all Store Operations computers, rather than creating all the necessary Windows domain user and group accounts. Also, Windows authentication is available only when all of your computers are part of a Windows domain.

You will need to use SQL Server authentication with Microsoft Dynamics RMS.

Important: You can find information about SQL Server security updates at the Microsoft SQL Server Web site, www.microsoft.com/sql.


Deployment Guide

Overview

After you have successfully installed both Store Operations and the appropriate edition of Microsoft SQL Server, you need to load the Store Operations database and then begin process of bringing stores online.

  • This section shows you how to get Store Operations up and running. It assumes you have successfully installed Store Operations and the database server.

  • Your Store Operations CD includes two backup files that you will choose from to create your database. When restored, one backup provides a blank database, and the other provides a database that contains some sample information. Each backup has .bck as the file extension. In both the blank database and the sample database, a default cashier has been created with the ID number "1" and the password "password". Use this combination to log on to Store Operations Manager the first time. Once logged on, you should then change the ID number and password.

There are two different ways to begin the process of bringing the store online.

Use the sample database: Load the Store Operations sample database and practice on a comprehensive database that contains sample information for a fictitious store. You have the option to use this database as your own, adding or deleting information that pertains to your business. Once you are satisfied with your database changes, you can use the Delete Transactions command on the Database menu in Store Operations Administrator to delete all of the sample sales transactions and purchase orders before going live.

Create the database from scratch: If you use Store Operations Administrator to create a blank database, this database will hold only the database structure information. You will then need to use Store Operations Manager to manually set up this database with the appropriate inventory items, departments, categories, and related information. Building a database from scratch can be very time consuming, but entering complete information will allow you to take full advantage of the powerful features offered by Store Operations.

After you complete the process of bringing the store online, refer to Store Operations Help for assistance with daily back-office and POS operations.


Using the sample database

Overview

Store Operations includes a sample database that contains information for a fictitious store. With this database, you can practice using Store Operations without affecting your actual store data. You can also use it later when training cashiers.

In the sample database, you will find inventory and sales data for a store named Tailspin Toys. This database includes:

  • Store-wide parameters

  • Security level structure

  • Detailed property information for the different types of item (standard, matrix, assembly, kit, lot matrix, and so on)

  • Department and category structure

  • Item and sales tax structure

  • Cashiers, sales reps, suppliers, and customers

  • Detailed information for registers, pole display messages, net display channels, custom POS buttons, and receipt formats

  • Open, closed, and partial purchase orders and inventory transfers

  • Receipts, journals, and reports

You can log on to the sample database using two built-in user accounts. The store owner user account has the user ID "1" and the password "password". The cashier user account has the user ID "2" and the password "password".

For more information, see Connecting to the sample database.


Connecting to the sample database

If you want to install the sample database, you need to connect to the database server, create a new database using the sample database backup file (provided on your Store Operations CD), and then configure the sample database for the registers where it will be used.

Note: Your database server must be running in order for you to connect to it.

To restore the sample database

  1. In Store Operations Administrator, on the File menu, click Connect. Specify your server and logon information. If you cannot connect, ensure that your database server is running.

  2. On the Database menu, click Create. The Create Database Wizard appears.

  3. On the Welcome screen, click Next.

  4. Specify the desired name of the new database you are creating, and then click Next. In most cases, you can accept the defaults.

  5. Specify how the database should be grown (in most cases, you can accept the defaults), and then click Next.

  6. Click the Browse [image] icon to locate the backup file for the sample database. Note: The sample database is stored in the DBFiles folder on the CD or in your installation directory.

  7. Select the rmssample.bck file, and then click Open.

  8. On the wizard screen, click Next.

  9. When the last wizard screen appears, click Finish.

  10. When Store Operations has successfully created the new database, it will display a window notifying you that the restore is complete. Click OK.

To set up registers to connect to the sample database

Next, enable communication between the sample database and the registers where you want to use the sample database. Perform the following steps in Store Operations Administrator on each register.

  1. On the File menu, click Configuration.

  2. In the Server name box on the Database tab, type the server on which the sample database is stored. If the database is located on the computer you are using, you can type (local) as your server name.

  3. In the available boxes, type the applicable User name and Password.

  4. In the Database box, type the name of the database you just created.

Tip: If you've forgotten the name of the database, click Select from the Database menu, make note of the name of the sample database in the list of databases that appears, and then return to the Store Operations Administrator Configuration dialog box.

  5. To ensure that Store Operations will successfully connect to your new database, click the Test Database Connection button.

  6. When Store Operations notifies you that the "database was successfully connected", click OK.

  7. Click the Register tab, and then enter the number of the register being set up to access the database. For example, if you are using Register 2 as the special training station, you would enter the number '2' in the Number box.

  8. Use the remaining tabs to enter any other register-specific information. (Usually, you can accept the defaults.) For example, you can use the Offline tab to specify an offline database that lets your store continue to run while your file server is temporarily down or offline.

  9. Click OK to save the information.


Creating the database from scratch

Overview

Use Store Operations Administrator to create a blank database and configure it for each register.

After you create and configure the blank database, use Store Operations Manager to collect and enter the basic database information.

For step-by-step instructions for creating and configuring your Store Operations database, see Creating and configuring a blank database.


Creating and configuring a blank database

The following procedure will help you create, configure, and set up your Store Operations database.

To create a database entirely from scratch

1. In Store Operations Administrator, on the File menu, click Connect. Specify your server and user name and password, clear the database name, and then click OK. This creates a connection to your database server without attempting to connect to an existing database. If you cannot connect, ensure that your database server is running.

2. On the Database menu, click Create. The Create Database Wizard appears.

3. On the Welcome screen, click Next.

4. Specify the database name and initial size of the database, and then click Next.

5. Specify how the database file should grow, and then click Next. In most cases, you can accept the defaults.

6. Click the Browse [image] icon to locate the backup file of the blank database. Note: This database is stored in the DBFiles folder on the CD-ROM or in your installation directory.

7. Select the rmsdb.bck file, and then click Open.

8. On the wizard screen, click Next.

9. On the final wizard screen, click Finish.

10. When Store Operations has successfully created the new database, it will display a window notifying you that the restore is complete. Click OK. Your database should now be the current running database in Store Operations Administrator.

11. You now need to configure the database for each of the point-of-sale registers that will run Store Operations. For more information, see Configuring the database connection.

12. Use Store Operations Manager to enter information into your database. Because you created a blank database, you will need to manually enter all of your items and their associated attribute information.


Working with databases

Overview

When you connect to the database server, or create or select a database, your connection is associated with a particular Store Operations database on the server. This database is called the current database. The commands in the Database menu allow you to make changes to the current database. You can also perform general database maintenance and manage certain settings for the store.

These topics will tell you more:

Managing the database connection

Connecting to the database server
Disconnecting from the database server
Selecting or connecting to a database
Configuring the database connection

Creating and maintaining the database

Creating a database
Deleting a database
Backing up the database
Restoring the database
Upgrading the database
Changing collation
Viewing database properties
Reindexing and checking the database

For a complete overview of the database setup and configuration process, see the Deployment Guide.

Performing store-specific operations

Deleting transactions
Using add-ins
Managing password policy
Setting the encryption key
Setting the next transaction number

Issuing queries

Overview
Creating and running a new query
Saving a query
Opening an existing query


Connecting to the database server

You need to connect to the database server before you can create your Store Operations database or use any of the database and query commands in Store Operations Administrator. For a complete overview of the entire setup and configuration process, see the Deployment Guide.

Note: Your database server must be running in order for you to connect to it.

To connect to the database server

1. On the File menu, click Connect.

2. In the Server box, type or select the name of the server where your Store Operations database is located.

3. Under Connection Information, select the appropriate authentication method. Select the Use Windows authentication option only if all of your computers and users are members of a Windows domain.

4. Enter the applicable user name and password.

5. In the Database box, select your database. You can only access the list of databases after you've entered your user name and password. If you have not created your database yet, you can clear this box.

6. Click OK.


Disconnecting from the database server

In most cases, you will have your Store Operations databases stored on one server. However, if you have Store Operations databases on two or more servers, you can disconnect from the current server and reconnect to the server where the applicable database is located.

To disconnect from the current database server

1. Ensure that a server is currently connected. If you are not connected to a database server, the Disconnect command is disabled (and disconnecting is not necessary).

2. On the File menu, click Disconnect.


Selecting or connecting to a database

Use the Select command to connect to your database if you didn't do so at the time you connected to your database server, or to switch from the current database to another database.

To select or connect to a database

1. On the Database menu, click Select. The Select Database window appears and displays the databases that were previously created.

2. In the Name column, select the applicable database, and then click OK.

3. When Store Operations informs you that your database is the currently selected database, click OK.


Configuring the database

Configuring the database connection

After you have created or selected your database(s), you can use the Configuration command to set up each point-of-sale register in your store with the proper database information. This enables communication between your registers and the store database.

To configure the database for each register

1. On the File menu, click Configuration.

2. Click the Database tab.

3. In the Server name box, type the applicable server.

4. In the available boxes, type the applicable User name and Password.

5. In the Database box, type the name of the database to which you want this register to connect.

6. To ensure that Store Operations will successfully connect to the specified database, click the Test Database Connection button.

7. When Store Operations notifies you that the database was successfully connected, click OK.

8. Use the available tabs to enter any register-specific information.


Creating a database

You can use the Create Database Wizard to create a database with speed and ease. After you create a database, you should create a backup of the database. For a complete overview of the entire setup and configuration process, see the Deployment Guide.

Important: After creating and connecting to the database, you should generate a new encryption key. For more information, see Setting the encryption key.

To create a database

1. Connect to the database server.

2. On the Database menu, click Create. The Create Database Wizard appears.

3. Click Next.

4. In the Database Name box, specify the name of the database you are creating. You should name the database using only alphanumerical characters.

5. In the Initial Size (MB) box, enter the amount of space, in megabytes (MB), to allocate on that device for the database. You should allocate at least 20 MB for the initial size.

6. Click Next.

7. Select the Automatically grow database file option. As long as you have adequate space on your SQL Server disk drive, you should allow the database to grow as needed.

8. Under the File growth heading, select the By percentage option, and then enter the desired percentage. Because SQL Server will slow down each time it has to adjust the database size, you should minimize the number of times it has to adjust. To do this, specify a large file growth value. You should not enter anything less than 10 percent.

9. Under the Maximum file size heading, select the Unrestricted growth option. This will let the database grow as long as there is space. Note that the maximum database size for Microsoft SQL Server 2000 Desktop Engine (MSDE 2000) is two gigabytes and the maximum database size for SQL Server 2005 Express Edition (SQL Express) is four gigabytes.

10. Click Next.

11. You must populate the database from a database backup file provided in your Store Operations installation directory. Click the Browse [image] icon to locate the backup file of either the blank database (rmsdb.bck) or the sample database (rmssample.bck).

Note: These databases are stored in the DBFiles folder in your installation directory and have .bck as their file extension.

12. Select the desired backup file, and then click Open.

13. Click Next.

14. If all the entered information is correct, click Finish. To review or modify your settings, click the Back button.

Note: The location of your Store Operations database needs to be accessible by both Store Operations Administrator and SQL Server; otherwise, you cannot create and/or back up the database. The path to this device should be the path as seen by SQL Server.

Tip: Use the universal naming convention (UNC) instead of drive letters. For example, \\dbserver\backup\ is a valid path for both machines; whereas mapped drives may only pertain to each local machine.


Deleting a database

You can delete a database when it is no longer needed or if it has been copied to another database or server. Deleting a database also deletes the files and their data from the disk on the server.

Important: The Delete command deletes the database that is currently selected. The name of the current selected database is shown at the bottom of the Store Operations Administrator screen. If you want to delete a different database, select it using the Select command on the Database menu. Exercise caution whenever you delete a database. Once a database is deleted, it cannot be retrieved except by recovering a backup.

To delete a database

  1. On the Database menu, click Delete. The Delete Database window appears.

  2. To permanently destroy the selected database, click Yes. To cancel the operation, click No.

  3. When you click Yes, Store Operations reminds you that deleting a database is an irreversible operation. To continue, click Yes.

  4. When Store Operations notifies you that the database has been permanently removed, click OK.


Backing up the database

You should regularly back up your Store Operations database to safeguard critical data. If you experience system failure or a natural disaster, you can retrieve the backup copy and restore your data.

A backup is a copy of one or more files on the PC. Typically, a backup contains everything you need to restore a program or database. When you back up a database, you make a copy of it on another device. A typical backup cycle consists of a backing up an entire database and transaction log, and then repeating backups at regular intervals.

Keep your backup files on a device other than the disk drive that contains your operating database. Ideally, they should be stored away from your store. When necessary, you can use a backup file to restore lost data.

Store Operations Administrator includes a Backup utility that lets you save and restore your database.

To back up the Store Operations database

1. On the Database menu, click Backup.

2. On the Save As window, select the drive and folder on which you want to save the back up file.

3. In the File name box, enter the name of the file by which this backup file can be referenced.

4. In the Save as type box, select Backup files (*.bck) type.

5. Click Save. The Backup/Restore window appears and displays the backup progress.

6. If the database was saved successfully, you will see a window that notifies you that the backup is complete. Click OK.

Note: The locations of the Store Operations database and your backup need to be accessible by both Store Operations Administrator and SQL Server; otherwise, you cannot create, back up, or restore the database. The paths to these devices should be the paths as seen by SQL Server.

Tip: Use the universal naming convention (UNC) instead of drive letters. For example, \\dbserver\backup\ is a valid path for both machines; whereas mapped drives may only pertain to each local machine.


Restoring the database

If you regularly back up your database, you can quickly restore the database information. Usually, you only need to restore the database if a natural disaster or power failure has destroyed your Store Operations database.

Restoring the database involves creating a blank database and then populating it with the information contained in the backup file.

Note: If you do not back up your data, you cannot restore the information and need to create a new database from scratch.

To restore the database

1. On the Database menu, click Create. The Create Database Wizard appears.

2. On the Welcome screen, click Next.

3. In the Database Name box, enter the name of the database you are creating.

4. In the Initial Size (MB) box, enter the amount of space, in megabytes (MB), to allocate on that device for the database, and then click Next.

5. Specify how the database file should grow, and then click Next. In most cases, you can accept the defaults.

6. Click the Browse [image] icon to locate the backup file.

7. On the Open window, select the backup file from which you want to restore. The backup file should have *.bck as the file extension. Then click Open.

8. On the wizard screen, click Next.

9. To create the new database with the information from the backup file, click Finish.

10. When Store Operations notifies you that the restore is complete, click OK.


Upgrading the database

Use Store Operations Administrator to upgrade from previous versions of Store Operations.

Important! Create a backup and settle all credit and debit card transactions before you upgrade the database. Also, after upgrading to release 2.01, passwords will be case-sensitive and must be entered exactly. Make sure at least one person with administrative access knows his or her password. For information about changing an employee password, see Store Operations Online Help.

To upgrade the Store Operations database

  1. On the File menu, click Connect, and then enter the applicable server, connection, and database information.

  2. On the Database menu, click Upgrade. The Upgrade Database window displays your current database version, the date when the database was last updated, and available upgrade version.

  3. If you currently have the most recent version of Store Operations, you will see the words Database is up to date on the Upgrade Database window. Click Cancel to exit.

If you have an older version of Store Operations and want to upgrade, use the Upgrade database to version box to select the applicable version, and then click OK.


Changing collation

The physical storage of character strings in SQL Server is controlled by collations. A collation specifies the bit patterns that represent each character and the rules by which characters are sorted and compared.

When you create a Store Operations database from the blank or sample database, the collation is set to SQL_Latin1_General_CP1_CI_AS, the default for U.S. English installation. If your SQL Server default collation is other than U.S. English, you must change the Store Operations database's collation to match your SQL Server setting.

While earlier versions of SQL Server supported only one collation for each instance of SQL Server, SQL Server 2000 and 2005 support having databases that have different collations on the same server. When you install an instance of SQL Server, you can specify the default collation for that instance during setup. The default collation for the instance also becomes the default collation of the system databases: master, model, tempdb, msdb, and Distribution. Most organizations use U.S. English and the same collation for all of their SQL Server databases, thereby reducing collation compatibility issues.

To change collation

  1. On the Database menu, click Change Collation.

  2. Select the new collation for the current database in the New Collation box, and then click OK.

  3. When Store Operations asks if you want to proceed, click Yes, and then click OK when Store Operations notifies you that the collation has been changed.


Viewing database properties

You can view information about the database size and the SQL Server settings for the store database.

To view database properties

  • On the Database menu, click Properties.


Reindexing and checking the database

You can use Store Operations Administrator to troubleshoot database errors or problems you encounter.

Over time, a database’s tables and index can occasionally become unsynchronized. If you experience slow database performance or unusual errors, you can reindex the database.

You can also check your database. Store Operations analyzes the allocation and structural integrity of all the objects in the database. Store Operations does not fix any errors; it only notifies you of existing problems so that you can quickly find possible solutions.

To reindex the database

1. On the Database menu, click Reindex.

2. When Store Operations asks to confirm that you want to reindex the database, click Yes.

To check the database

1. On the Database menu, click Check.

2. When Store Operations notifies you that the database will verify the integrity of the tables and report back any errors, click Yes.

For more information, refer to the DBCC CHECKDB (T-SQL) topic in SQL Server 2000 Books Online.

Important: Only experienced users in SQL Server and database programming should attempt database programming. Any errors in modifying the database can cause the Store Operations software to be inoperable.


Deleting transactions

Store Operations Administrator allows you to delete all the sales information in a database and leave the item information intact. This feature is especially useful if you have practiced running transactions at the POS but then want to prepare the database for actual store operations. You could simply remove all the "practice" transactions from the database and leave everything else in place.

Important: Customer purchase history, purchase orders, and inventory transfers are also deleted when you delete transaction information from the database. Exercise caution whenever you delete transactions. Once transactions are deleted, they cannot be retrieved except by restoring from a previous backup. Even then, any transactions occurring since the last backup will be lost.

To delete transactions

1. On the Database menu, click Select. The Select Database window appears and displays the databases that were previously created.

2. In the Name column, select the database whose transactions you want to remove, and then click OK.

3. When Store Operations displays the message that the database has been selected, click OK.

4. On the Database menu, click Delete Transactions.

5. When Store Operations asks you if you want to continue, click Yes to continue.

6. When Store Operations warns you again that you are about to delete all sales information, click Yes to continue. Store Operations will wipe out all sales history, including customer purchase history, plus purchase orders and inventory transfers.

7. When Store Operations notifies you that all the sales data has been deleted, click OK.


Deleting audit logs

To help you comply with the Payment Card Industry (PCI) Data Security Standard, Microsoft Dynamics RMS keeps audit logs in the store database that track these program events:

  • Creation and deletion of cashiers

  • Modification of cashier rights, security levels, or cashier IDs

  • Journal printing and viewing from Store Operations Manager

  • Batch viewing and settlement

  • Deletion of all transactions from Store Operations Administrator

  • Failed cashier logins

Note: The Cashier Log report in Store Operations Manager tracks successful logins to Store Operations POS.

To reduce the size of the database and free up space on your hard drive, you can periodically delete older audit logs.

To delete audit logs from the store database

  1. On the Database menu, click Delete Audit Logs.

  2. Type or select the date of the oldest log that you want to keep.

  3. Click OK, and then click Yes to confirm the operation.

Note: For information about viewing the audit logs and to learn about other ways that Store Operations can help you comply with the PCI Data Security Standard, see PCI compliance: How Microsoft Dynamics RMS can help.


Using add-ins

Store Operations enables you to use add-ins, which let you access third-party software or custom programs and tools quickly and easily from within the Store Operations Manager program. Before you can use this feature, you need to use Store Operations Administrator to set the path to the add-ins directory. Placing your add-ins in the specified folder makes them available when clicking Add-Ins on the Utilities menu in Store Operations Manager.

Note: Store Operations Manager uses Windows to launch the add-ins, so you should use Windows Folder Options to define the action to be taken when the file is opened.

To set up add-Ins in Store Operations Administrator

  1. On the File menu, click Configuration.

  2. Click the Paths tab.

  3. In the Add-Ins box, click the Browse [image] icon to navigate to the folder where your add-ins will be stored. (For example, c:\Program Files\Microsoft Retail Management System\Store Operations\AddIns.)

  4. If the folder exists, select it, and then click OK.

  5. If the folder does not exist, select the directory where you want the new folder, click Make New Folder, enter the folder's name, and then press enter. Click OK.

  6. Click OK to save the information.


Managing password policy

To comply with the Payment Card Industry Data Security Standard, or simply to improve the security of your store information, you can set up a password policy that regulates password expiration, uniqueness, and complexity, and that causes a user account to be locked out when a possible intrusion is detected.

Note: Except for password expiration and account lockout, the password policy takes effect the next time an employee changes his or her password.

To modify the password policy for the store

  1. On the Database menu, click Password Policy Settings.

  2. Enter the settings you want.

    To force employees to change their passwords soon and become compliant with the policy, select the Passwords expire periodically check box and set a low maximum password age. Password age is calculated from the date when the password was last changed.

  3. Click OK.

For more information about the settings in the Password Policy Settings dialog box, click the Help button in the dialog box. For more information about the Payment Card Industry Data Security Standard, see PCI compliance.


Setting the encryption key

Microsoft Dynamics RMS uses encryption to protect credit card information in the store database. This encryption is implement via a random encryption key that is unique to the store. You can, if you want, generate a new random encryption key.

Important: Do not set a new encryption key if you have registers running in offline mode. Also, be sure to settle all transactions before generating a new key.

To set a new encryption key

  1. Bring all registers out of offline mode.

  2. Settle all transactions.

  3. Return to Store Operations Administrator, and then, on the Database menu, click New Encryption Key.

  4. If you are ready to proceed, click Yes.

  5. Run a Z report on every register to synchronize the offline databases with the new encryption key.


Setting the next transaction number

To set the next transaction number

  1. On the Database menu, click Set Next Transaction Number.

  2. If you are ready to proceed, click Yes.

  3. Type the next transaction number, and then click OK.

The number you set will be applied to the next transaction that takes place in the store, and transaction numbering will continue from there.


Issuing queries

Overview

Store Operations Administrator lets you make direct queries to the server running SQL Server to view data from selected the tables and columns. You can enter queries in a full-text window, execute the statements, and view the results in a display window.

Important: This feature is intended for troubleshooting and diagnostic purposes only and should not be used for common operations. It is intended to be used only by experienced users in SQL Server and database programming. Errors made while modifying the database may cause Store Operations to become inoperable.

Queries are SQL scripts, constructed using Transact-SQL statements. These scripts are stored as files, usually with the *.sql extension. Whenever you run a query, you make a specific request for information from the SQL Server database. You can then retrieve, modify, or delete data. For example, this SQL query:

SELECT * FROM Item WHERE Quantity > 0 and Cost > 10

requests all records in which the quantity field has a value greater than 0 and the cost field has a value greater than 10.

These topics will tell you more:


Creating a new query

Creating and running a new query

When you create a query, you issue a specific request to the database for retrieval, modification, or deletion of information.

Important: This feature is designed only for users experienced in SQL Server and database programming. Any errors in modifying the database can cause Store Operations to be inoperable.

For more information, see the Overview.

To create and run a new query

1. On the Query menu, click New.

2. On the New Query window, on the SQL tab, type the Transact-SQL script.

3. Click the Run [image] button. The results of your query appear in the Result tab.


Saving a query

Saving a query allows you to run the query again or use it as the basis for a new query. For more information, see the Overview.

To save a query

1. Make the Query window the active window by clicking in the title bar.

2. On the File menu, click Save As. (If you are saving changes to an existing query, you can click Save and skip the remaining steps.) Browse to the folder where you want to save your query.

3. In the File name box, type a name for the query.

4. In the Save as type box, select SQL Files (*.sql).

5. Click Save.


Opening an existing query

Whenever you want to run a particular query again or modify an existing query, you can open a saved query. For more information, see the Overview.

To open an existing query

  1. On the File menu, click Open.

  2. On the Open window, locate the desired query file.

  3. Click Open.


Integrating EDC software

Overview

Store Operations interfaces with electronic draft capture (EDC) software and services to process credit and debit card transactions. Store Operations creates a request file that is read and processed by the EDC verification software. A message received from the payment processor tells Store Operations if the transaction was approved or not. Store Operations Administrator allows you to define the system parameters required by the EDC software.

Credit card transactions can be processed in Store Operations using one of the EDC services listed below.

  • Preferred acquirer credit/debit card processing

  • Dynamics Online Payment Connector processing

Setting up EDC software to work with Store Operations is complex. Many parties must be coordinated for you to properly process credit and debit card transactions. We suggest having your reseller assist you in setting up and configuring Store Operations to process these transactions.

Note: Microsoft recommends using a software firewall such as Windows Firewall or a hardware firewall.


Integrating preferred acquirer credit/debit card processing

Microsoft recommends setting up Store Operations to process credit and debit card transactions through one of Microsoft's preferred acquirers (acquiring banks). To do so, you must have an Internet connection, and your connection must support SSL (Secure Sockets Layer) and HTTPS: (Port 443). Direct-dial connections are not supported.

Contact an acquiring bank and apply for a merchant account. Your acquiring bank will provide you with the materials you’ll need to apply. After you have been approved, you will receive a welcome letter from the bank which includes an industry category code and the merchant, store, bank, terminal ID, V, location, and agent numbers you will need to set up and configure Store Operations.

To enter your merchant account information into Store Operations

  1. On the File menu in Store Operations Administrator, click Configuration.

  2. Click the EDC tab.

  3. Select Use electronic draft capture software to verify credit card transactions.

  4. In the EDC Software box, select Preferred Acquirer Credit/Debit Card Processing.

  5. Click Advanced Options, and then use your welcome letter to enter the requested information on the Bank and Merchant tabs.

  6. Click OK.

To add credit and debit card tenders

  1. In Store Operations Manager, click Tender Types on the Database menu, and then click New.

  2. On the General tab, type a description in the Description box and then select Credit Card or Debit Card in the Tender type box.

  3. Click the Verification tab and select Perform verification via EDC check box under Electronic Draft Capture. This is automatically selected for debit cards.

  4. For credit cards, enter the Validation Mask and Maximum amount.

For debit cards, enter the Maximum amount and Debit Surcharge. Select the Support Cash Back check box to allow customers to receive cash back from the debit card transaction. Enter the Cash Back Limit and the Cash Back Fee.

  5. Click OK

To configure the PIN pad

Before using the debit card, you may need to configure the PIN pad as an OPOS service object and then connect this to each register. Completing this procedure is typically not required when the manufacturer has provided a service object or setup utility.

  1. On the Start menu, point to Programs or All Programs, point to Microsoft Dynamics RMS, and then select Configure Microsoft OPOS Service Objects. Select PINPad as the device type. Click Help and follow the instructions to configure the PIN Pad.

  2. On the Database menu in Store Operations Manager, select Registers, and then click Register List. Select a register and click Properties. Click the PIN Pad tab, select the PIN Pad is enabled for this register check box, enter the OPOS device name you used when configuring the PIN Pad in Step 1 above, and then click OK.


Integrating Dynamics Online Payment Connector

This topic provides a brief overview of the process for obtaining a Dynamics Online account, configuring the account, and configuring Store Operations to use the account. For complete instructions, click the Help button in the Dynamics Payment Connector dialog box (accessed from the EDC tab in Configuration dialog box in Store Operations Administrator).

To set up the Dynamics Online Payment Connector (overview)

1. Contact your partner for help obtaining a Dynamics Online Payment Services account.

2. Configure Store Operations to set up the integration with the payment connector by completing the following steps:

a. In Store Operations Administrator, click Configuration on the File menu, and then click the EDC tab.

b. Select Use electronic draft capture software to verify credit card transactions.

c. In the EDC Software box, select Payment Connector, and then click Advanced Options.

d. The first time you open the Dynamics Payment Connector dialog box, a unique value is automatically entered in the Public key field. Copy this value into Notepad or another text editor; you will need it to complete step 3 below.

e. Enter additional settings according to the information that you received when you set up your account. For more information about each of the fields, click the Help button in the dialog box. When you are done entering information, click OK to save your settings.

3. Visit the Customer Portal on the Online Services for Microsoft Dynamics website to associate the public key from step 2.d. with your Dynamics Online account.

4. Configure your credit and debit tender types for payment processing, as described below.

To add credit and debit card tenders

  1. In Store Operations Manager, click Tender Types on the Database menu, and then click New.

  2. On the General tab, type a description in the Description box and then select Credit Card or Debit Card in the Tender type box.

  3. Click the Verification tab and select Perform verification via EDC check box under Electronic Draft Capture. This is automatically selected for debit cards.

  4. For credit cards, enter the Validation Mask and Maximum amount.

For debit cards, enter the Maximum amount and Debit Surcharge. Select the Support Cash Back check box to allow customers to receive cash back from the debit card transaction. Enter the Cash Back Limit and the Cash Back Fee.

  5. Click OK


PCI compliance: How Microsoft Dynamics RMS can help

There are a number of features in Microsoft Dynamics RMS that can help you comply with the Payment Card Industry Data Security Standard. For more information about these features, see the Microsoft Dynamics RMS Implementation Guide for PCI Compliance.


Connect to Server dialog box

Connect to Server

To access the Connect to Server dialog box, click Connect on the File menu.

Server: Enter or select the server where your Store Operations database is located. If you are working on the database computer, you can type (local) in this box.

Connection information

Use Windows authentication: Select this option to specify the use of Windows authentication. This option is only available when all of your users and computers belong to a Windows domain. Note that, while you can use Windows credentials to connect to the database, you will need to enter SQL credentials in the Store Operations Configuration dialog box.

Use SQL Server authentication: Select this option to specify the use of SQL Server security validation. The logon account must be added to the database server before a user can log on. For more information on SQL Server authentication, see About Microsoft SQL Server.

User Name: Enter the user name of the SQL Server logon account.

Password: Enter the password for the SQL Server logon account.

Database: Type or select your database. The list includes the existing databases located on the server. You cannot access the list unless you have first specified your logon information. If you haven't yet created your database, you can clear this box.


Configuration command

The Store Operations Configuration dialog box (accessed by clicking Configuration on the File menu) consists of the following tabs: Database, Register, Paths, Templates, EDC, Offline, and HQ Client.

Database tab

The Database tab specifies the database accessed by Store Operations Manager and POS. Store Operations Manager and POS use this information even if Store Operations Administrator is not actively connected to the database.

Note: You cannot use this tab to connect to the database; instead, click Connect on the File menu.

Server name: The name of the server where your store database is located. If the database is on the machine where you are working, you can type (local) in this box.

User name: The user name of the SQL Server logon account.

Password: The password for the SQL Server logon account.

Database: The name of the database you want to use.

Connection timeout: The amount of time (in seconds) that Store Operations will try to connect to the database.

Test Database Connection: To confirm that you have entered the correct server and database information, click Test Database Connection. If Store Operations cannot connect to the specified database in the amount of time defined in the Connection Timeout box, you will receive an error message. If you can connect to the database, Store Operations will notify you that the database was connected successfully. This only tests the connection, it does not establish it.

Register tab

The Register tab enables you to configure the current machine by specifying the register number, translation language, store logo filename, and web status file name. The store logo will appear on your reports and receipts. The Web status box represents the HTML background at the top of the point-of-sale transaction screen. To select a different store logo or web status file, click the Browse [image] icon next to the appropriate box.

Paths tab

On the Paths tab, you can specify the default locations of the reports, Crystal Reports, labels, receipts, pictures, and add-ins used by Store Operations. If you want to use customized reports, you should store the location of the report templates in the Reports box. To select a different path in any box, click the Browse [image] icon next to the box.

Templates tab

Use the Templates tab to specify the locations of your purchase order, inventory transfer, and account statement templates. This tab is especially helpful when accessing templates that are written in foreign languages. To select a different template in any box, click the Browse [image] icon next to the box.

EDC tab

Store Operations interfaces with Electronic Draft Capture (EDC) software to process credit and debit card transactions. Use the EDC tab to specify information that enables Store Operations and your EDC software to communicate successfully.

Do not use electronic draft capture software: If selected, Store Operations will not use EDC software to verify credit card transactions.

Use electronic draft capture software to verify credit card transactions: If you are using EDC software, select this option and specify the following information:

EDC Software: Select the card processing software or service that you are using. Your processor can help you determine which option to select. In most cases, for TSYS Acquiriring, select Preferred Acquirer Credit/Debit Card Processing, and for Dynamics Online Payment Services, select Payment Connector.

Note: Use the Settle EDC Batch command in Store Operations Manager to settle processed transactions at the end of the day.

Advanced Options button: Click this button to set up additional information pertaining to the EDC software or service. The dialog box that opens varies depending on the EDC product that is selected. Use the welcome letter or packet provided by your bank to enter the requested information.

Preferred Acquirer Credit/Debit Card Processing

Bank tab: Enter the bank information received from the acquiring bank's welcome letter. This includes the acquirer bank identification number (bin), agent bank number, and agent chain number.

Merchant tab: This tab includes your business’s name, city, state, and zip code as well as the merchant number, store number, category code, location number, V number (terminal ID), and terminal number listed on your acquiring bank's welcome letter. The selected industry type is ”r;Retail”.

Advanced: Click this button to view the website URLs that are used for processing transactions with your processor. Do not modify these settings unless specifically directed to do so by your bank or Microsoft Customer Support.

Payment Connector

For more information about configuring Store Operations to use the Dynamics Online Payment Connector, click the Help button in the dialog box.

Offline tab

In addition to specifying the primary database that will be used for normal operations, you can also define the terminal offline database that will enable your store to keep running even if your file server is temporarily down or offline. Use the Database Creation Wizard to create this offline database and then use this tab to configure the database. Note that the server defined for the terminal offline database must be different from the server specified for the primary database. We recommend that in the Server name field for terminal offline, you enter the name of your local machine.

After you define the offline database, you need to synchronize your offline database with the primary database. To do this, generate one of the following in the POS program:

  • Blind Closeout

  • Z Report

  • ZZ Report

When you synchronize the data, Store Operations copies only the non-transaction data, such as items and customers, to the offline database. After you define and synchronize the terminal offline database, you can then process standard sales transactions while the file server is down.

For example, if the file server crashes during the business day and the cashier needs to continue with sales transactions, he or she can simply restart the POS program. If the terminal offline database is properly defined, Store Operations will switch to terminal offline mode and store standard sales transactions in a backup database. Once the file server has been restored, the cashier can restart the POS program, return to online mode and automatically update the primary database with the backup data.

Note that there are limitations when your store is working offline. For details, see the "Terminal offline" topic in Store Operations Online Help.

HQ Client tab

If you are using Microsoft Dynamics RMS Headquarters for your multi-store enterprise, you can use the HQ Client tab to enable store quantity checks. For example, one of your stores can look up from the register the quantity for a particular item across the enterprise. On this tab, specify the address and port of a running instance of Headquarters Client. You can then click the Check Stores button in the Items window in either Store Operations Manager or Store Operations POS to view the item quantities at other stores.

Port: Enter a port number between 34000 and 35000. This port must be identical to the port you define in Headquarters Client, and must be different from the port you are using for communications between Headquarters Server and Headquarters Client.


Password Policy Settings dialog box

Password Policy Settings

To access the Password Policy Settings dialog box, click Password Policy Settings on the Database menu.

Note: Except for password expiration and account lockout, the password policy takes effect the next time an employee changes his or her password. To force employees to change their passwords soon and become compliant with the policy, select the Passwords expire periodically check box and set a low maximum password age.

Password expiration

Passwords expire periodically: Select this check box if you want employee passwords to expire at certain intervals.

Maximum age of passwords (days): Type the number of days each password should remain valid. For example, if you type "30", employees will be required to change their passwords every 30 days. The maximum password age must be between 2 and 999 days. Password age is calculated from the date when the password was last changed.

Show reminder (days before): Type the number of days before a password expires that the employee should see a reminder to change his or her password. The reminder period must be smaller than the maximum password age.

Password history to prevent reuse

Number of passwords to save: Type the number of passwords that should be stored in the database to prevent employees from reusing the same passwords. For example, if you type "3", the employee will have to use a password that is not identical to any of his or her last three passwords. The maximum number of passwords that can be saved per employee is 100.

Account lockout

Use account lockout: Select this check box if you want Microsoft Dynamics RMS to lock out an employee who has failed to log on. The employee's user account can be unlocked in Store Operations Manager at any time.

Failed logon attempts allowed: Type the number of failed logon attempts the employee will be allowed before the account is locked out. This value must be between 1 and 5.

Lockout period (minutes): Type the number of minutes in the lockout period. The lockout period must be between 1and 1440 minutes.

Password complexity

The settings in this section regulate the complexity, or strength, of the passwords used by employees. Microsoft recommends the use of strong passwords, meaning passwords that are at least seven characters long and that use a mix of uppercase, lowercase, numeric, and special characters. For example, "password" is not a strong password, but "pAs$w0rd1" is.

Enforce password complexity: Select this check box if you want to require cashiers to use strong passwords or passwords of a certain minimum length.

Minimum password length: Type the minimum number of characters that must be used in a password. This value must be between 4 and 12.

Note: To comply with the Payment Card Industry (PCI) Data Security Standard, passwords must be at least 7 characters long. Passwords of more than 12 characters are not allowed in Microsoft Dynamics RMS. For more information about the PCI Data Security Standard, see PCI compliance.

Require an uppercase letter: Select this check box if at least one uppercase letter (such as A, B, or C) must be included in each password.

Require a numeric digit: Select this check box if at least one number (such as 1, 2, or 3) must be included in each password.

Require a special character: Select this check box if at least one special character (such as $, %, or @) must be included in each password.


Delete Audit Logs

To access the Delete Audit Logs dialog box, click Delete Audit Logs on the Database menu.

With this dialog box, you can decrease the size of the database and free up disk space on the database computer by removing older audit logs that you no longer need. Audit logs contain information about how Store Operations has been used; they can be used to satisfy some of the auditing requirements in the Payment Card Industry (PCI) Data Security Standard.

For more information, see Deleting audit logs.

Delete audit logs dated before: Type or select the date of the oldest log that you want to keep.

Note: The PCI Data Security Standard may contain requirements or recommendations for the length of time logs should be kept.


Arranging windows on the desktop

Showing all of the windows on your desktop lets you jump quickly from window to window. On the Window menu, Store Operations provides several ways you can neatly arrange the windows on your desktop.

Tile Horizontally/Vertically

The Tile Horizontally or Tile Vertically commands size your windows so that they appear together on your desktop, allowing you to view the contents of all windows at once. For example, let's say you have opened both the Items and Suppliers windows in Store Operations Manager, or that you have two queries open in Store Operations Administrator. If you click the Window menu and then click Tile Horizontally, you will see both windows in a split screen, with one window above the other. If you click Tile Vertically instead, you will see the windows side by side.

Cascade

When you click the Cascade command, Store Operations displays the windows in such a way that you see only the title bar of each window. This command is especially useful if you have several windows open at one time.

Arrange Icons

The Arrange Icons command arranges minimized documents within the program window. Store Operations arranges the minimized windows left to right across the bottom of the program window. If no documents are minimized, the Arrange Icons command has no effect.